# geos::operation::overlay::PolygonBuilder Class Reference

Forms Polygon out of a graph of geomgraph::DirectedEdge. More...

`#include <PolygonBuilder.h>`

List of all members.

## Public Member Functions

| PolygonBuilder (const geom::GeometryFactory *newGeometryFactory)
void | add (geomgraph::PlanarGraph *graph)
void | add (const std::vector< geomgraph::DirectedEdge * > *dirEdges, const std::vector< geomgraph::Node * > *nodes)
std::vector< geom::Geometry * > * | getPolygons ()
bool | containsPoint (const geom::Coordinate &p)
| Checks the current set of shells (with their associated holes) to see if any of them contain the point.

## Detailed Description

Forms Polygon out of a graph of geomgraph::DirectedEdge.

The edges to use are marked as being in the result Area.

## Member Function Documentation

void geos::operation::overlay::PolygonBuilder::add | ( | geomgraph::PlanarGraph * | graph | ) |

Add a complete graph. The graph is assumed to contain one or more polygons, possibly with holes.

void geos::operation::overlay::PolygonBuilder::add | ( | const std::vector< geomgraph::DirectedEdge * > * | dirEdges,
|  | const std::vector< geomgraph::Node * > * | nodes |
| ) |  |  |

Add a set of edges and nodes, which form a graph. The graph is assumed to contain one or more polygons, possibly with holes.

The documentation for this class was generated from the following file:

- PolygonBuilder.h